> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udtreenode.md).

# New-UDTreeNode

### Sinossi

Crea un nodo dell'albero.

### Sintassi

```powershell
New-UDTreeNode [-Name] <String> [-Id <String>] [-Children <ScriptBlock>] [-Leaf] [-Icon <Object>] [-ExpandedIcon <Object>] [-Expanded] [<CommonParameters>]
```

### Descrizione

Crea un nodo dell'albero. Questo cmdlet deve essere utilizzato con New-UDTreeView.

### Parametri

#### -Name

Il nome del nodo. Viene visualizzato nell'interfaccia utente.

```
Required?                    true
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Id

L'ID del nodo. Viene passato alla proprietà $EventData quando è impostato il blocco di script OnNodeClicked.

```
Required?                    false
Position?                    named
Default value                [Guid]::NewGuid()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Gli elementi figlio di questo nodo. Deve trattarsi di una raccolta di New-UDTreeNodes.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Leaf [<SwitchParameter>]
        This is a leaf node and should not display children. Added in PSU 2.6.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon L'icona da visualizzare per questo nodo. Utilizzi New-UDIcon per creare questa icona. Aggiunto in PSU 2.6.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ExpandedIcon L'icona da visualizzare per questo nodo quando è espanso. Utilizzi New-UDIcon per creare questa icona. Aggiunto in PSU 2.6.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Expanded \[\<SwitchParameter>]Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Output--------------------------> ESEMPIO 1 --------------------------PS > See New-UDTreeView for examples.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udtreenode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
